function tf = is_there(st, varargin)
% is_there - determines if field specified by strings input is not empty

tf = 0;
if nargin < 2
  return
end
res = [];
tmp = st;
for i = 1:length(varargin)
  if isfield(tmp, varargin{i})
    tmp = getfield(tmp, varargin{i});
  else
    return
  end
end
tf = ~isempty(tmp);